%global dist_major 1.6
%global dist_minor 3
%global rpmrelease 2

Summary: Create a tree of hardlinks
Name: freedup
Version: %{dist_major}.%{dist_minor}
Release: %{rpmrelease}%{?dist}
License: GPLv3+
Group: System Environment/Base
URL: http://www.freedup.org/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://www.freedup.org/%{name}-%{dist_major}-%{dist_minor}-src.tar.bz2
Requires: /usr/bin/sha1sum, /usr/bin/md5sum, /usr/bin/sum
BuildRequires: /usr/bin/sha1sum, /usr/bin/md5sum, /usr/bin/sum
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Freedup walks through the file trees (directories) you specify. When
it finds two identical files on the same device, it hard links them
together. In this case two or more files still exist in their
respective directories, but only one copy of the data is stored on
disk, both directory entries point to the same data blocks.

%prep
%setup -q -n %{name}-%{dist_major}-%{dist_minor}

%build
%{__make} freedup CFLAGS='%{optflags} -DFLAVOUR='

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1

%{__install} -m 0755 -p %{name} %{buildroot}%{_bindir}/
%{__install} -m 0755 -p symharden %{buildroot}%{_bindir}/
%{__install} -m 0644 -p %{name}.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 0644 -p symharden.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING* copyright README* TODO html
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/symharden
%attr(0644,root,root) %{_mandir}/man1/*.1*

%changelog
* Tue Apr 21 2020 Simon Matter <simon.matter@invoca.ch> 1.6.3-2
- add support for EL8

* Mon Nov 23 2015 Simon Matter <simon.matter@invoca.ch> 1.6.3-1
- upgrade to 1.6-3

* Fri Sep 28 2012 Simon Matter <simon.matter@invoca.ch> 1.6.2-4
- add unlinkfix patch

* Tue Aug 02 2011 Simon Matter <simon.matter@invoca.ch> 1.6.2-3
- disable tests to allow building as non root

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.6.2-2
- mass rebuild

* Fri Feb 04 2011 Simon Matter <simon.matter@invoca.ch> 1.6.2-1
- upgrade to 1.6-2

* Thu Feb 03 2011 Simon Matter <simon.matter@invoca.ch> 1.6.1-1
- upgrade to 1.6-1

* Fri Mar 07 2008 Simon Matter <simon.matter@invoca.ch> 1.5.3-1
- upgrade to 1.5-3

* Mon Mar 03 2008 Simon Matter <simon.matter@invoca.ch> 1.5.2-1
- upgrade to 1.5-2

* Fri Feb 01 2008 Simon Matter <simon.matter@invoca.ch> 1.5.1-1
- upgrade to 1.5-1

* Mon Dec 31 2007 Simon Matter <simon.matter@invoca.ch> 1.4.4-1
- upgrade to 1.4-4

* Fri Dec 28 2007 Simon Matter <simon.matter@invoca.ch> 1.4.3-1
- upgrade to 1.4-3

* Mon Dec 24 2007 Simon Matter <simon.matter@invoca.ch> 1.4.2-1
- upgrade to 1.4-2

* Sat Dec 22 2007 Simon Matter <simon.matter@invoca.ch> 1.4.1-1
- upgrade to 1.4-1

* Mon Dec 17 2007 Simon Matter <simon.matter@invoca.ch> 1.3.1-1
- upgrade to 1.3-1

* Tue Dec 11 2007 Simon Matter <simon.matter@invoca.ch> 1.2.1-1
- upgrade to 1.2-1

* Wed Dec 05 2007 Simon Matter <simon.matter@invoca.ch> 1.1.3-1
- upgrade to 1.1-3

* Mon Dec 03 2007 Simon Matter <simon.matter@invoca.ch> 1.1.2-1
- upgrade to 1.1-2

* Fri Nov 30 2007 Simon Matter <simon.matter@invoca.ch> 1.1.1-1
- upgrade to 1.1-1

* Fri Nov 23 2007 Simon Matter <simon.matter@invoca.ch> 1.0.5-1
- upgrade to 1.0-5

* Thu Nov 08 2007 Simon Matter <simon.matter@invoca.ch> 1.0.4-1
- initial package
